summaryrefslogtreecommitdiff
path: root/dmake
diff options
context:
space:
mode:
authorIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:30:30 +0000
committerIvo Hinkelmann <ihi@openoffice.org>2006-06-29 10:30:30 +0000
commit4ecf70f764ef053e858353fd8c25a861de685f34 (patch)
tree8d5f62f6bb299b6f7fd1d9f3041a82ad3b8aaf70 /dmake
parent4fa80bd7f3caa9c39d6d666305ac908e95712f63 (diff)
INTEGRATION: CWS dmake45 (1.1.2); FILE ADDED
2006/06/22 20:45:45 vq 1.1.2.2: #i66650# Make dmake testsuite more portable. (Usable with Solaris.) Patch by hjs. 2006/06/04 01:55:10 vq 1.1.2.1: #i65360# Add testcase to check for message about empty recipe for special or meta targets.
Diffstat (limited to 'dmake')
-rw-r--r--dmake/tests/targets-470
1 files changed, 70 insertions, 0 deletions
diff --git a/dmake/tests/targets-4 b/dmake/tests/targets-4
new file mode 100644
index 000000000000..2bc66d9ec519
--- /dev/null
+++ b/dmake/tests/targets-4
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# 03.06.2006 Volker Quetschke
+# Check that a warning is issued for special or meta targets with
+# empty recipes.
+# (issue 65360) - Well, the issue is talking about slightly a different
+# issue but a related patch was committed with this issue reference.
+
+: ${DMAKEPROG:=dmake}
+file1="mfile1.mk"
+file2="mfile2.mk"
+tmpfiles="$file1 $file2"
+
+trap '{ echo "trapped signal - removing temporary files" ; rm -rf $tmpfiles ; }' 1 2 3 15
+
+# Remove files from prior failed run
+rm -rf $tmpfiles
+
+# Remember to quote variables in generated makefiles( $ -> \$ ).
+# Testcase 1 - AUGMAKE meta targets
+cat > $file1 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+.NIX :
+
+something :
+ +echo "A target."
+
+EOT
+
+# Testcase 2 - Percent targets
+cat > $file2 <<EOT
+SHELL*:=/bin/sh
+SHELLFLAGS*:=-ce
+
+%.a : %.b
+
+something :
+ +echo "A target."
+
+EOT
+
+output1=`eval ${DMAKEPROG} -r -f $file1 2>&1 `
+result1=$?
+output2=`eval ${DMAKEPROG} -r -f $file2 2>&1 `
+result2=$?
+
+if echo $output1 | grep -v 'Warning: -- Empty recipe' > /dev/null 2>&1 ; then
+ echo "Test 1: Wrong result: $output1"
+ echo
+ result1=1
+fi
+
+if echo $output2 | grep -v 'Warning: -- Empty recipe' > /dev/null 2>&1 ; then
+ echo "Test 2: Wrong result: $output2"
+ echo
+ result1=1
+fi
+
+if test $result1 -eq 0 -a $result2 -eq 0; then
+ echo "Success - Cleaning up"
+ rm -rf $tmpfiles
+exit
+ result=0
+else
+ echo "Failure!"
+ result=1
+fi
+exit $result